unit MujDial;

interface

uses
  SysUtils, Types, Classes, Variants, QGraphics, QControls, QForms, QDialogs,
  QExtCtrls, QStdCtrls, QComCtrls, QTypes, QMenus, QButtons;

type
  TVysledek=(mdAno,mdNe,mdStorno,mdOK,mdNic);
  MTlac=set of TVysledek;
  DiaTyp=(tdVAR,tdINF,tdPOT,tdCHY);

  TMujDialogF = class(TForm)
    Napis: TLabel;
    Obrazek: TImage;
    BBAno: TBitBtn;
    BBNe: TBitBtn;
    BBStorno: TBitBtn;
    BBOK: TBitBtn;
    procedure BBAnoClick(Sender: TObject);
    procedure BBNeClick(Sender: TObject);
    procedure BBStornoClick(Sender: TObject);
    procedure BBOKClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
    Vysledek:TVysledek;
  public
    { Public declarations }
  end;

function MujDialog(dtext:string;dtlac:MTlac;dtyp:DiaTyp):TVysledek;

var
  MujDialogF: TMujDialogF;

implementation

{$R *.xfm}

function MujDialog(dtext:string;dtlac:MTlac;dtyp:DiaTyp):TVysledek;
var ptlac:array[1..4]of TBitBtn;
    pocet,i:byte;
begin
MujDialogF.Napis.Caption:=dtext;
MujDialogF.BBAno.Hide;
MujDialogF.BBNe.Hide;
MujDialogF.BBStorno.Hide;
MujDialogF.BBOK.Hide;
pocet:=0;
if mdAno in dtlac then
  begin
  pocet:=pocet+1;
  ptlac[pocet]:=MujDialogF.BBAno;
  end;
if mdNe in dtlac then
  begin
  pocet:=pocet+1;
  ptlac[pocet]:=MujDialogF.BBNe;
  end;
if mdStorno in dtlac then
  begin
  pocet:=pocet+1;
  ptlac[pocet]:=MujDialogF.BBStorno;
  end;
if mdOK in dtlac then
  begin
  pocet:=pocet+1;
  ptlac[pocet]:=MujDialogF.BBOK;
  end;
case pocet of
  1:ptlac[1].Left:=116;
  2:ptlac[1].Left:=80;
  3:ptlac[1].Left:=44;
  4:ptlac[1].Left:=8;
  end;
if pocet>0 then ptlac[1].Show;
for i:=2 to pocet do
  begin
  ptlac[i].left:=ptlac[i-1].left+72;
  ptlac[i].show;
  end;
case dtyp of
  tdVAR:begin
        MujDialogF.Obrazek.Picture.Bitmap.LoadFromResourceName(HInstance,'VAROVANI');
        MujDialogF.Caption:='Varovani';
        end;
  tdINF:begin
        MujDialogF.Obrazek.Picture.Bitmap.LoadFromResourceName(HInstance,'INFORMACE');
        MujDialogF.Caption:='Informace';
        end;
  tdPOT:begin
        MujDialogF.Obrazek.Picture.Bitmap.LoadFromResourceName(HInstance,'POTVRZENI');
        MujDialogF.Caption:='Potvrzeni';
        end;
  tdCHY:begin
        MujDialogF.Obrazek.Picture.Bitmap.LoadFromResourceName(HInstance,'CHYBA');
        MujDialogF.Caption:='Chyba';
        end;
  end;
MujDialogF.ShowModal;
Result:=MujDialogF.Vysledek;
end;

procedure TMujDialogF.BBAnoClick(Sender: TObject);
begin
Vysledek:=mdAno;
MujDialogF.Close;
end;

procedure TMujDialogF.BBNeClick(Sender: TObject);
begin
Vysledek:=mdNe;
MujDialogF.Close;
end;

procedure TMujDialogF.BBStornoClick(Sender: TObject);
begin
Vysledek:=mdStorno;
MujDialogF.Close;
end;

procedure TMujDialogF.BBOKClick(Sender: TObject);
begin
Vysledek:=mdOK;
MujDialogF.Close;
end;

procedure TMujDialogF.FormShow(Sender: TObject);
begin
Vysledek:=mdNic;
end;

end.
